*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: roboto;
}
body{
    cursor: url("assets/image/sword.png"),pointer;
}
/* --------container----- */
.container{
    display: flex;
    width: 1300px;
    margin: 0 auto;
    /* background-color: lightgray; */
}

/* -----logo bar----- */
.logo{
    display: flex;
    width: 100%;
    background-color: white;
    height: 80px;
    padding-top: 12px;
}
.bar{
    width: 100%;
}
.logo .left{
    width: calc(100%/2);
}
.logo .left img{
    width: 174px;
    margin-left: 22px;
}
.logo .right{
    float: right;
    width: calc(100%/2);
    text-align: right;
    /* display: flex; */
    padding: 20px 33px;
    font-weight: light;
    font-size: 15px;
    }
.logo .right a{
    text-decoration: none;
    color: grey;
}

/* ------row2--nav---------- */
.nav{
    width: 100%;
    height: 81px;
    background-color: #2B2D32;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 20px; /* Increased padding */
    /* max-width: 1200px; */
    margin: 0 auto;
}
.nav_left{
    width: 85%;
    display: flex;
    align-items: center;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 15px;
    padding: 0 22px;
}

.nav-links li {
    position: relative;
    padding: 10px 0;
}

.nav-links a {
    color: #fff;
    font-weight: bold;
    text-decoration: none;
    letter-spacing: 1px;
    padding: 30px 10px;
    transition: color 0.3s ease;
}

.nav-links a:hover {
    color: #ff6600;
    padding: 30px 10px;
}

.nav-links a::before {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: #ff6600;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
}

.nav-links a:hover::before {
    visibility: visible;
    width: 100%;
}

/* ------submenu-------- */
.nav-links .dropdown:hover {
    /* background-color: #333; */
}
.nav-links .dropdown:hover .dropdown-menu {
    display: block;
}

.nav-links .dropdown-menu {
    display: none;
    position: absolute;
    background-color: #333;
    top: 58px;
    left: 0;
    min-width: 160px;
    list-style: none;
    padding: 10px 0;
    z-index: 1000;
}

.social-icons {
    display: flex;
    gap: 28px;
    float: right;
    padding: 15px 0;
}

.social-icon {
    color: #fff;
    font-size: 18px;
    transition: color 0.3s ease;
}

.social-icon:hover {
    color: #ff6600;
}

/* --------row3--------- */
.tagbar{
    display: flex;
    flex-direction: column;
}
.tags {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
    padding: 50px 0 25px 0;
    background: #fff;
  }
  
  .tags button {
    border: 1px solid #cac9c9;
    background-color: #fff;
    color: #333;
    padding: 10px 15px;
    border-radius: 12px;
    font-size: 15px;
    letter-spacing: 1px;
    cursor: pointer;
    transition: background-color 0.3s ease;
  }
  
  .tags button:hover {
    background-color: rgb(223, 223, 223);
    color: rgb(67, 66, 66);
    border: 1px solid #cac9c9;
  }

  /* ----------vertical line------ */
  .hl{
    width: 100%;
    border-bottom: 1px solid lightgray;
  }
  .vl{
    height: 100%;
    border-left: 1px solid lightgray;
  }

  /* ----------row4------ */
  .banner .banbox{
    width: 100%;
    padding-top: 30px;
    display: flex;
    flex-flow: row wrap;
    gap: 20px;
  }
  .banner .banbox .left{
    width: calc(55% - 10px);
  }
  .banner .banbox .left .featured-article {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-bottom: 40px;
  }
  
  .banner .banbox .left .featured-article img {
    width: 100%;
    border-radius: 8px;
    border: 1px solid lightgray;

  }
  
  .banner .banbox .left .featured-article .content {
    flex: 1;
    padding-top: 5px;
  }
  
  .banner .banbox .left .featured-article h1 {
    font-size: 33px;
    font-family: roboto;
    margin-bottom: 10px;
  }
  
  .banner .banbox .left .featured-article p, span {
    margin: 15px 0;
    color: #4d4d4d;
    font-size: 17px;
  }
  .banner .banbox .left .featured-article i {
    font-size: 8px;
    margin: 0 15px;
    color: #4d4d4d;
  }
  
  .banner .banbox .right{
    width: calc(45% - 10px);
    display: flex;
    flex-flow: row wrap;
    gap: 10px;
    padding-right: 20px;
  }
  .banner .banbox .right{}
  .banner .banbox .right .small-article {
    background: #fff;
    /* border: 1px solid #ddd; */
    border-radius: 5px;
    overflow: hidden;
    width: calc(100%/2 - 5px);
  }
  
  .banner .banbox .right .small-article img {
    width: 100%;
    height: 150px;
    object-fit: cover;
    border-radius: 5px;
  }
  
  .banner .banbox .right .small-article h3 {
    font-size: 18px;
    margin: 15px 0;
    line-height: 1.5;
  }
  
  .banner .banbox .right .small-article p {
    font-size: 14px;
    margin: 10px;
    color: #666;
  }